IBND_FIND_NODE_GUID(3)

NAME
ibnd_find_node_guid, ibnd_find_node_dr - given a fabric object find the node object within it which matches the guid or directed route specified.

SYNOPSIS
#include <infiniband/ibnetdisc.h>

ibnd_node_t *ibnd_find_node_guid(ibnd_fabric_t *fabric, uint64_t guid)
ibnd_node_t *ibnd_find_node_dr(ibnd_fabric_t *fabric, char *dr_str)

DESCRIPTION
ibnd_find_node_guid() Given a fabric object and a guid, return the ibnd_node_t object with that node guid. ibnd_find_node_dr() Given a fabric object and a directed route, return the ibnd_node_t object with that directed route.

RETURN VALUE
ibnd_find_node_guid(), ibnd_find_node_dr() return NULL on failure, otherwise a valid ibnd_node_t object.

AUTHORS

Ira Weiny <weiny2@llnl.gov>